org.gradle

## Class RefreshOptions

- java.lang.Object
- - org.gradle.RefreshOptions

- All Implemented Interfaces:
    Serializable

  Deprecated.
  Use `StartParameter.setRefreshDependencies(boolean)` instead.

      @Deprecated
      public class RefreshOptions
      extends Object
      implements Serializable

  The options supplied by a user to refresh dependencies and other external resources.
  See Also:
    Serialized Form

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `RefreshOptions.Option` Deprecated. The set of allowable options.

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static RefreshOptions` | `NONE` Deprecated.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `RefreshOptions(List<RefreshOptions.Option> options)` Deprecated.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(Object o)` Deprecated.
    `static RefreshOptions` | `fromCommandLineOptions(List<String> optionNames)` Deprecated.
    `int` | `hashCode()` Deprecated.
    `boolean` | `refreshDependencies()` Deprecated.

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### NONE

          public static final RefreshOptions NONE

      Deprecated.

  - ### Constructor Detail

    - #### RefreshOptions

          public RefreshOptions(List<RefreshOptions.Option> options)

      Deprecated.

  - ### Method Detail

    - #### fromCommandLineOptions

          public static RefreshOptions fromCommandLineOptions(List<String> optionNames)

      Deprecated.

    - #### refreshDependencies

          public boolean refreshDependencies()

      Deprecated.

    - #### equals

          public boolean equals(Object o)

      Deprecated.
      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Deprecated.
      Overrides:
        `hashCode` in class `Object`